<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: cfd_hooks_interface_data Module Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions/Subroutines</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">cfd_hooks_interface_data Module Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:a56f78d2890986dba7ba2382ccdc202ac"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecfd__hooks__interface__data.html#a56f78d2890986dba7ba2382ccdc202ac">set_cfd_for_hook</a> (cfd)</td></tr>
<tr class="separator:a56f78d2890986dba7ba2382ccdc202ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a98909a33be6c90b485c0dedcc5df1591"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structcfd__defs_1_1cfd__.html">cfd_</a>), pointer, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecfd__hooks__interface__data.html#a98909a33be6c90b485c0dedcc5df1591">cfd_for_hook</a></td></tr>
<tr class="separator:a98909a33be6c90b485c0dedcc5df1591"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function/Subroutine Documentation</h2>
<a id="a56f78d2890986dba7ba2382ccdc202ac"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a56f78d2890986dba7ba2382ccdc202ac">&#9670;&nbsp;</a></span>set_cfd_for_hook()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public cfd_hooks_interface_data::set_cfd_for_hook </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structcfd__defs_1_1cfd__.html">cfd_</a>), intent(in), target&#160;</td>
          <td class="paramname"><em>cfd</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacecfd__hooks__interface__data.html#a98909a33be6c90b485c0dedcc5df1591">cfd_for_hook</a>.</p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacecfd__hooks__interface__data_a56f78d2890986dba7ba2382ccdc202ac_icgraph.png" border="0" usemap="#namespacecfd__hooks__interface__data_a56f78d2890986dba7ba2382ccdc202ac_icgraph" alt=""/></div>
<map name="namespacecfd__hooks__interface__data_a56f78d2890986dba7ba2382ccdc202ac_icgraph" id="namespacecfd__hooks__interface__data_a56f78d2890986dba7ba2382ccdc202ac_icgraph">
<area shape="rect" id="node2" href="namespacecfd__func.html#a87adf3e7c6223ec497da958cad50b281" title="cfd_func::cfd_set_bcs_work" alt="" coords="216,402,403,429"/>
<area shape="rect" id="node23" href="namespacecfd__func.html#a61cb1628bacb072829d5f529c8bfd1b1" title="cfd_func::cfd_prestep1" alt="" coords="451,162,605,189"/>
<area shape="rect" id="node28" href="namespacecfd__func.html#a8ecaa7715e28489d14fe7c7da1ca4a75" title="cfd_func::cfd_post_iter" alt="" coords="232,351,387,378"/>
<area shape="rect" id="node33" href="namespacecfd__func.html#a116f9734eb5f4c1b18555bd3aad9f00a" title="cfd_func::cfd_set_bcs" alt="" coords="234,453,385,479"/>
<area shape="rect" id="node3" href="namespacecfd__func.html#a39072bf22d0a4e44434b4e3c4eb45d6b" title="cfd_func::cfd_set_bcs" alt="" coords="453,469,603,495"/>
<area shape="rect" id="node4" href="namespacearts__cf__simulation.html#a4d813a565cb81c0cba28e71029dbdc40" title="Pre&#45;step 2 &#45; prepare for the subiterations. " alt="" coords="673,461,801,503"/>
<area shape="rect" id="node6" href="namespacecfd__func.html#aec7c528ad9731946404769e34f0beaef" title="cfd_func::cfd_check_bcs" alt="" coords="653,593,821,619"/>
<area shape="rect" id="node20" href="namespacenga__cf__cold__func.html#a3c64aef9c8a380d4477cd646239f6e21" title="nga_cf_cold_func::cf\l_cold_prestep2" alt="" coords="666,527,809,568"/>
<area shape="rect" id="node22" href="nga__cf__cold__func__exp_8f90.html#a20ec1031c642ee27b3a8c8bed1ff948b" title="recompute_metric" alt="" coords="674,410,801,437"/>
<area shape="rect" id="node5" href="arts__cf_2arts__cf_8f90.html#ae28d576a7e640ac338dc0cfe39b4a2e3" title="simulation_run" alt="" coords="883,162,990,189"/>
<area shape="rect" id="node7" href="namespacecfd__func.html#a9a10281e8478b33ef6a46cda48591adb" title="cfd_func::cfd_init" alt="" coords="875,593,998,619"/>
<area shape="rect" id="node19" href="namespacecfd__func.html#aa1a38ca0a3e3abdf6ad87283b62808c0" title="cfd_func::register\l_scalar" alt="" coords="875,527,998,568"/>
<area shape="rect" id="node8" href="namespacearts__cf__simulation.html#af39829beac049c1764a4fc8b688ff8b0" title="Initialization routine 1. " alt="" coords="1057,617,1190,659"/>
<area shape="rect" id="node13" href="namespacenga__cf__cold__func.html#a954f8dc1c6cf2254c9e29584492937dc" title="nga_cf_cold_func::cf\l_cold_init_step1" alt="" coords="1052,535,1195,576"/>
<area shape="rect" id="node18" href="interfacenga__cf__cold__func_1_1scalar__bc__hook.html#a8fe3ce1c57a677b10cc2ea355dc49a11" title="nga_cf_cold_func::scalar\l_bc_hook::scalar_bc_hook" alt="" coords="1243,421,1420,463"/>
<area shape="rect" id="node9" href="namespacearts__cf__simulation.html#a372b0da189959755baaea7c5d75bf9fb" title="Initialization routine of the solver. " alt="" coords="1267,617,1395,659"/>
<area shape="rect" id="node11" href="namespacearts__wc__simulation.html#a532738af4bf9c2cb151dab03e904cc21" title="arts_wc_simulation\l::arts_wc_init" alt="" coords="1264,683,1399,724"/>
<area shape="rect" id="node10" href="arts__cf_2arts__cf_8f90.html#a13528375d4b5e020a805447928524906" title="arts_cf" alt="" coords="1485,625,1547,651"/>
<area shape="rect" id="node12" href="arts__cf_2arts__wc_8f90.html#af7bb7cfbac3d52067a278f3367ac7ccd" title="arts_wc" alt="" coords="1482,690,1550,717"/>
<area shape="rect" id="node14" href="namespacenga__cf__bmix__func.html#a10d9b85c2907eaf67a19676f6e903b99" title="nga_cf_bmix_func::cf\l_bmix_init" alt="" coords="1258,487,1405,528"/>
<area shape="rect" id="node16" href="namespacenga__cf__cold__func.html#aacd6b98963e282fe35d095621ad01930" title="nga_cf_cold_func::cf\l_cold_init" alt="" coords="1260,552,1403,593"/>
<area shape="rect" id="node15" href="nga__cf__bmix_8f90.html#a03498a029da62800ff43fa618657ae83" title="nga_cf_bmix" alt="" coords="1468,494,1564,521"/>
<area shape="rect" id="node17" href="nga__cf__cold_2nga__cf__cold_8f90.html#abb68a45d77deeb00b9d2eadec4755bbf" title="nga_cf_cold" alt="" coords="1470,559,1562,586"/>
<area shape="rect" id="node21" href="nga__cf__cold_2nga__cf__cold_8f90.html#aafdecc6eec919b77fcfee82496e6ec3e" title="simulation_run" alt="" coords="883,351,990,378"/>
<area shape="rect" id="node24" href="namespacearts__cf__simulation.html#a0a1d10b650d0c7044fe719f31b619bb4" title="Pre&#45;step 1 &#45; physical properties. " alt="" coords="673,96,801,137"/>
<area shape="rect" id="node27" href="namespacenga__cf__cold__func.html#a39495665993456f8d8e2e031f8372571" title="nga_cf_cold_func::cf\l_cold_prestep1" alt="" coords="666,213,809,255"/>
<area shape="rect" id="node25" href="namespacearts__wc__simulation.html#a7e9250a92667a7d87165db98cf98c41f" title="arts_wc_simulation\l::arts_wc_prestep1" alt="" coords="869,96,1004,137"/>
<area shape="rect" id="node26" href="arts__cf_2arts__wc_8f90.html#afc8fbe711a3d2872c20abc0b8848acb5" title="simulation_run" alt="" coords="1070,103,1177,130"/>
<area shape="rect" id="node29" href="namespacearts__cf__simulation.html#a5ef8af5401802aa2dbbc99e875882672" title="Advancement routine. " alt="" coords="453,279,603,320"/>
<area shape="rect" id="node31" href="namespacenga__cf__cold__func.html#a70636fc3639cc328ac80ae6346dbb947" title="nga_cf_cold_func::cf\l_cold_advance_iter" alt="" coords="457,344,599,385"/>
<area shape="rect" id="node30" href="namespacearts__cf__simulation.html#a4f372c50767a4242b0e83633711f0d3e" title="Advancement loop. " alt="" coords="658,279,817,320"/>
<area shape="rect" id="node32" href="namespacenga__cf__cold__func.html#a9601db1a6f08549fa39ecf69e68d2185" title="nga_cf_cold_func::cf\l_cold_advance_step" alt="" coords="666,344,809,385"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a98909a33be6c90b485c0dedcc5df1591"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a98909a33be6c90b485c0dedcc5df1591">&#9670;&nbsp;</a></span>cfd_for_hook</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">type(<a class="el" href="structcfd__defs_1_1cfd__.html">cfd_</a>), pointer, public cfd_hooks_interface_data::cfd_for_hook</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:50 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
